Bug 309057 - Stop playing music, going to the Pause state and then crash when clicking "play"
Summary: Stop playing music, going to the Pause state and then crash when clicking "play"
Status: RESOLVED DUPLICATE of bug 290706
Alias: None
Product: amarok
Classification: Applications
Component: general (show other bugs)
Version: 2.6.0
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: 2.7
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-26 16:45 UTC by mehdi
Modified: 2012-10-30 10:30 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mehdi 2012-10-26 16:45:28 UTC
Application: amarok (2.6.0)
KDE Platform Version: 4.9.2
Qt Version: 4.8.3
Operating System: Linux 3.5.0-17-generic i686
Distribution: Ubuntu 12.10

-- Information about the crash:
- What I was doing when the application crashed:
Nothing special
Amarok stopped play music in the middle of a song, then i opened its window: it looked like if someone push the "Pause" button.
So I push play and then Boom: crash

- Custom settings of the application:
Local Mysql database

The crash can be reproduced some of the time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib/i386-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0xb133b740 (LWP 2293))]

Thread 12 (Thread 0xa5684b40 (LWP 2311)):
#0  postEventSourcePrepare (s=0xa4d01e00, timeout=0xa568408c) at kernel/qeventdispatcher_glib.cpp:268
#1  0xb436a52a in g_main_context_prepare (context=context@entry=0xa4d00500, priority=priority@entry=0xa56840f8) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:2986
#2  0xb436abff in g_main_context_iterate (context=context@entry=0xa4d00500, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3270
#3  0xb436ae61 in g_main_context_iteration (context=0xa4d00500, may_block=1) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3351
#4  0xb597999f in QEventDispatcherGlib::processEvents (this=0xa4d00488, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0xb594626c in QEventLoop::processEvents (this=this@entry=0xa5684228, flags=...) at kernel/qeventloop.cpp:149
#6  0xb5946561 in QEventLoop::exec (this=0xa5684228, flags=...) at kernel/qeventloop.cpp:204
#7  0xb583166c in QThread::exec (this=0x992c030) at thread/qthread.cpp:501
#8  0xb59247bd in QInotifyFileSystemWatcherEngine::run (this=0x992c030) at io/qfilesystemwatcher_inotify.cpp:248
#9  0xb5834a58 in QThreadPrivate::start (arg=0x992c030) at thread/qthread_unix.cpp:338
#10 0xb4664d4c in start_thread (arg=0xa5684b40) at pthread_create.c:308
#11 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xa4c4fb40 (LWP 2313)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466896b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb561764c in __pthread_cond_wait (cond=0xa867c68, mutex=0xa867c50) at forward.c:139
#3  0xb5835030 in wait (time=4294967295, this=0xa867c50) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa867ba0, mutex=0x9f026d0, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4db9b45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa867b88, th=0x9efc2a8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dbc96b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4db96aa in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa867b88, th=0x9efc2a8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dbcac4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9efc2a8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9efc2a8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9efc2a8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9efc2a8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9efc2a8, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9efc2a8) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9efc2a8, previous=0xc105c78) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb4dbb524 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0xa4c4f284, parent=0xa867b88, th=th@entry=0x9efc2a8) at ../../../threadweaver/Weaver/Thread.cpp:87
#21 0xb4dbb5da in ThreadWeaver::Thread::run (this=0x9efc2a8) at ../../../threadweaver/Weaver/Thread.cpp:142
#22 0xb5834a58 in QThreadPrivate::start (arg=0x9efc2a8) at thread/qthread_unix.cpp:338
#23 0xb4664d4c in start_thread (arg=0xa4c4fb40) at pthread_create.c:308
#24 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xa42ffb40 (LWP 2314)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466896b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb561764c in __pthread_cond_wait (cond=0xa867c68, mutex=0xa867c50) at forward.c:139
#3  0xb5835030 in wait (time=4294967295, this=0xa867c50) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa867ba0, mutex=0x9f026d0, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4db9b45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa867b88, th=0x9eecdc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dbc96b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9f01048, th=0x9eecdc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4db96aa in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa867b88, th=0x9eecdc0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dbcac4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9eecdc0) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9eecdc0, previous=0xc38d968) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dbb524 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0xa42ff284, parent=0xa867b88, th=th@entry=0x9eecdc0) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4dbb5da in ThreadWeaver::Thread::run (this=0x9eecdc0) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb5834a58 in QThreadPrivate::start (arg=0x9eecdc0) at thread/qthread_unix.cpp:338
#13 0xb4664d4c in start_thread (arg=0xa42ffb40) at pthread_create.c:308
#14 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xa3afeb40 (LWP 2315)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466896b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb561764c in __pthread_cond_wait (cond=0xa867c68, mutex=0xa867c50) at forward.c:139
#3  0xb5835030 in wait (time=4294967295, this=0xa867c50) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa867ba0, mutex=0x9f026d0, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4db9b45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa867b88, th=0x9f14370) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dbc96b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4db96aa in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa867b88, th=0x9f14370) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dbcac4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#11 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#12 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#13 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#14 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#15 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#16 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#17 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#18 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#19 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0x0) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#20 0xb4dbcae0 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f14370) at ../../../threadweaver/Weaver/WorkingHardState.cpp:74
#21 0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f14370, previous=0xb30e4a8) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#22 0xb4dbb524 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0xa3afe284, parent=0xa867b88, th=th@entry=0x9f14370) at ../../../threadweaver/Weaver/Thread.cpp:87
#23 0xb4dbb5da in ThreadWeaver::Thread::run (this=0x9f14370) at ../../../threadweaver/Weaver/Thread.cpp:142
#24 0xb5834a58 in QThreadPrivate::start (arg=0x9f14370) at thread/qthread_unix.cpp:338
#25 0xb4664d4c in start_thread (arg=0xa3afeb40) at pthread_create.c:308
#26 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xa2effb40 (LWP 2316)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466896b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb561764c in __pthread_cond_wait (cond=0xa867c68, mutex=0xa867c50) at forward.c:139
#3  0xb5835030 in wait (time=4294967295, this=0xa867c50) at thread/qwaitcondition_unix.cpp:86
#4  QWaitCondition::wait (this=0xa867ba0, mutex=0x9f026d0, time=4294967295) at thread/qwaitcondition_unix.cpp:158
#5  0xb4db9b45 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0xa867b88, th=0x9f11860) at ../../../threadweaver/Weaver/WeaverImpl.cpp:365
#6  0xb4dbc96b in ThreadWeaver::WorkingHardState::waitForAvailableJob (this=0x9f01048, th=0x9f11860) at ../../../threadweaver/Weaver/WorkingHardState.cpp:80
#7  0xb4db96aa in ThreadWeaver::WeaverImpl::waitForAvailableJob (this=0xa867b88, th=0x9f11860) at ../../../threadweaver/Weaver/WeaverImpl.cpp:356
#8  0xb4dbcac4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x9f01048, th=0x9f11860) at ../../../threadweaver/Weaver/WorkingHardState.cpp:71
#9  0xb4db95a3 in ThreadWeaver::WeaverImpl::applyForWork (this=0xa867b88, th=0x9f11860, previous=0xb3b1660) at ../../../threadweaver/Weaver/WeaverImpl.cpp:351
#10 0xb4dbb524 in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0xa2eff284, parent=0xa867b88, th=th@entry=0x9f11860) at ../../../threadweaver/Weaver/Thread.cpp:87
#11 0xb4dbb5da in ThreadWeaver::Thread::run (this=0x9f11860) at ../../../threadweaver/Weaver/Thread.cpp:142
#12 0xb5834a58 in QThreadPrivate::start (arg=0x9f11860) at thread/qthread_unix.cpp:338
#13 0xb4664d4c in start_thread (arg=0xa2effb40) at pthread_create.c:308
#14 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xa259fb40 (LWP 2318)):
#0  0xb4192dcd in __GI_clock_gettime (clock_id=1, tp=0xa259ef78) at ../sysdeps/unix/clock_gettime.c:116
#1  0xb5892fb5 in do_gettime (frac=0xa259ef70, sec=0xa259ef68) at tools/qelapsedtimer_unix.cpp:123
#2  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#3  0xb597a36e in QTimerInfoList::updateCurrentTime (this=0xa1c01574) at kernel/qeventdispatcher_unix.cpp:343
#4  0x7fffffff in ?? ()
#5  0xb597a6fa in QTimerInfoList::timerWait (this=0xa1c01574, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#6  0x7fffffff in ?? ()

Thread 6 (Thread 0xa1bffb40 (LWP 2319)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466896b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb561764c in __pthread_cond_wait (cond=0xb3f67470, mutex=0xb3f67458) at forward.c:139
#3  0xb38100e9 in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#4  0xb38101df in ?? () from /usr/lib/i386-linux-gnu/libQtWebKit.so.4
#5  0xb4664d4c in start_thread (arg=0xa1bffb40) at pthread_create.c:308
#6  0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 5 (Thread 0xa12feb40 (LWP 2320)):
#0  g_mutex_get_impl (mutex=0xa3dee08) at /build/buildd/glib2.0-2.34.0/./glib/gthread-posix.c:118
#1  0xb43abc78 in g_mutex_lock (mutex=mutex@entry=0xa3dee08) at /build/buildd/glib2.0-2.34.0/./glib/gthread-posix.c:208
#2  0xb436a616 in g_main_context_query (context=context@entry=0xa3dee08, max_priority=2147483647, timeout=timeout@entry=0xa12fe12c, fds=fds@entry=0xa5b4c60, n_fds=1) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3053
#3  0xb436ac5e in g_main_context_iterate (context=context@entry=0xa3dee08, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3272
#4  0xb436ae61 in g_main_context_iteration (context=0xa3dee08, may_block=1) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3351
#5  0xb597999f in QEventDispatcherGlib::processEvents (this=0xa5b4c50, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#6  0xb594626c in QEventLoop::processEvents (this=this@entry=0xa12fe258, flags=...) at kernel/qeventloop.cpp:149
#7  0xb5946561 in QEventLoop::exec (this=0xa12fe258, flags=...) at kernel/qeventloop.cpp:204
#8  0xb583166c in QThread::exec (this=this@entry=0xa3e90a0) at thread/qthread.cpp:501
#9  0xb58317cb in QThread::run (this=0xa3e90a0) at thread/qthread.cpp:568
#10 0xb5834a58 in QThreadPrivate::start (arg=0xa3e90a0) at thread/qthread_unix.cpp:338
#11 0xb4664d4c in start_thread (arg=0xa12feb40) at pthread_create.c:308
#12 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 4 (Thread 0x9f9f4b40 (LWP 2323)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466896b in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:169
#2  0xb561764c in __pthread_cond_wait (cond=0xb4940670, mutex=0xb4940658) at forward.c:139
#3  0xb482e1cd in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#4  0xb482e1ff in ?? () from /usr/lib/i386-linux-gnu/libQtScript.so.4
#5  0xb4664d4c in start_thread (arg=0x9f9f4b40) at pthread_create.c:308
#6  0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0x91b8fb40 (LWP 17790)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb466b5a2 in __lll_lock_wait () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/lowlevellock.S:142
#2  0xb4666ecb in _L_lock_891 () from /lib/i386-linux-gnu/libpthread.so.0
#3  0xb4666e60 in __pthread_mutex_lock (mutex=0x9d0cb18) at pthread_mutex_lock.c:101
#4  0xb5617864 in pthread_mutex_lock (mutex=0x9d0cb18) at forward.c:182
#5  0xb43abc80 in g_mutex_lock (mutex=0x9d08d18) at /build/buildd/glib2.0-2.34.0/./glib/gthread-posix.c:208
#6  0xb1c3d4b7 in gst_element_post_message (element=element@entry=0x9d0ec08, message=message@entry=0x95525f08) at gstelement.c:1842
#7  0xb1c25a27 in gst_bin_handle_message_func (bin=0x9d0ec08, message=0x95525f08) at gstbin.c:3442
#8  0xb1c5f8d6 in gst_pipeline_handle_message (bin=0x9d0ec08, message=0x95525f08) at gstpipeline.c:587
#9  0xa5e6697d in gst_play_bin_handle_message (bin=0x9d0ec08, msg=<optimized out>) at gstplaybin2.c:2387
#10 0xb1c2205c in bin_bus_handler (bus=bus@entry=0x9a1ca00, message=message@entry=0x95525f08, bin=bin@entry=0x9d0ec08) at gstbin.c:2793
#11 0xb1c2d492 in gst_bus_post (bus=bus@entry=0x9a1ca00, message=message@entry=0x95525f08) at gstbus.c:322
#12 0xb1c3d4dd in gst_element_post_message (element=element@entry=0x9e2bf018, message=message@entry=0x95525f08) at gstelement.c:1853
#13 0xb1c25a27 in gst_bin_handle_message_func (bin=0x9e2bf018, message=0x95525f08) at gstbin.c:3442
#14 0xa02318a4 in handle_message (bin=0x9e2bf018, msg=0x95525f08) at gsturidecodebin.c:2210
#15 0xb1c2205c in bin_bus_handler (bus=bus@entry=0x9e44f710, message=message@entry=0x95525f08, bin=bin@entry=0x9e2bf018) at gstbin.c:2793
#16 0xb1c2d492 in gst_bus_post (bus=bus@entry=0x9e44f710, message=message@entry=0x95525f08) at gstbus.c:322
#17 0xb1c3d4dd in gst_element_post_message (element=element@entry=0xb61f998, message=message@entry=0x95525f08) at gstelement.c:1853
#18 0xb1c25a27 in gst_bin_handle_message_func (bin=0xb61f998, message=0x95525f08) at gstbin.c:3442
#19 0xa022a86f in gst_decode_bin_handle_message (msg=0x95525f08, bin=0xb61f998) at gstdecodebin2.c:4081
#20 gst_decode_bin_handle_message (bin=0xb61f998, msg=0x95525f08) at gstdecodebin2.c:4067
#21 0xb1c2205c in bin_bus_handler (bus=bus@entry=0x9e453650, message=message@entry=0x95525f08, bin=bin@entry=0xb61f998) at gstbin.c:2793
#22 0xb1c2d492 in gst_bus_post (bus=bus@entry=0x9e453650, message=message@entry=0x95525f08) at gstbus.c:322
#23 0xb1c3d4dd in gst_element_post_message (element=element@entry=0xbe3f2b8, message=0x95525f08) at gstelement.c:1853
#24 0xb1c3dee0 in _priv_gst_element_state_changed (element=element@entry=0xbe3f2b8, oldstate=oldstate@entry=GST_STATE_NULL, newstate=newstate@entry=GST_STATE_READY, pending=pending@entry=GST_STATE_VOID_PENDING) at gstelement.c:2372
#25 0xb1c3ea74 in gst_element_continue_state (element=element@entry=0xbe3f2b8, ret=ret@entry=GST_STATE_CHANGE_SUCCESS) at gstelement.c:2470
#26 0xb1c3e4af in gst_element_change_state (element=element@entry=0xbe3f2b8, transition=GST_STATE_CHANGE_NULL_TO_READY) at gstelement.c:2798
#27 0xb1c3ee57 in gst_element_set_state_func (element=0xbe3f2b8, state=GST_STATE_READY) at gstelement.c:2717
#28 0xb1c3e16f in gst_element_set_state (element=element@entry=0xbe3f2b8, state=state@entry=GST_STATE_READY) at gstelement.c:2618
#29 0xa022ef0d in connect_pad (chain=0xa1c202a8, factories=0xa9fb89b0, caps=0x9e213ee0, pad=0xb53d648, dpad=0xb72f928, src=0xb8ae400, dbin=0xb61f998) at gstdecodebin2.c:1921
#30 analyze_new_pad (dbin=dbin@entry=0xb61f998, src=src@entry=0xb8ae400, pad=pad@entry=0xb53d648, caps=caps@entry=0x9e213ee0, chain=chain@entry=0xa1c202a8) at gstdecodebin2.c:1630
#31 0xa02307a9 in pad_added_cb (element=element@entry=0xb8ae400, pad=pad@entry=0xb53d648, chain=chain@entry=0xa1c202a8) at gstdecodebin2.c:2333
#32 0xa0230bd2 in caps_notify_cb (pad=pad@entry=0xb53d648, unused=0x9a0f628, chain=0xa1c202a8) at gstdecodebin2.c:2447
#33 0xb420846a in g_cclosure_marshal_VOID__PARAM (closure=closure@entry=0xc457490, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0x91b8ec90, invocation_hint=invocation_hint@entry=0x91b8ec3c, marshal_data=marshal_data@entry=0x0) at /build/buildd/glib2.0-2.34.0/./gobject/gmarshal.c:1042
#34 0xb4205826 in g_closure_invoke (closure=0xc457490, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0x91b8ec90, invocation_hint=invocation_hint@entry=0x91b8ec3c) at /build/buildd/glib2.0-2.34.0/./gobject/gclosure.c:777
#35 0xb421761f in signal_emit_unlocked_R (node=node@entry=0x9a0f080, detail=detail@entry=209, instance=instance@entry=0xb53d648, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x91b8ec90) at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3551
#36 0xb421f732 in g_signal_emit_valist (instance=instance@entry=0xb53d648, signal_id=signal_id@entry=1, detail=detail@entry=209, var_args=0x91b8ee90 "H\326S\vxxa\265", var_args@entry=0x91b8ee8c "(\366\240\tH\326S\vxxa\265") at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3300
#37 0xb421f8b3 in g_signal_emit (instance=instance@entry=0xb53d648, signal_id=1, detail=209) at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3356
#38 0xb4209e4f in g_object_dispatch_properties_changed (object=0xb53d648, n_pspecs=1, pspecs=0x91b8ef2c) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1041
#39 0xb1c20da2 in gst_object_dispatch_properties_changed (object=0xb53d648, n_pspecs=1, pspecs=0x91b8ef2c) at gstobject.c:530
#40 0xb420bad8 in g_object_notify_by_spec_internal (pspec=0x9a0f628, object=0xb53d648) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1135
#41 g_object_notify_by_pspec (object=object@entry=0xb53d648, pspec=0x9a0f628) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1236
#42 0xb1c57148 in gst_pad_set_caps (pad=0xb53d648, caps=0x9e213ee0) at gstpad.c:2745
#43 0x9fe2eda1 in ?? () from /usr/lib/i386-linux-gnu/gstreamer-0.10/libgstaudioparsers.so
#44 0xb1cff255 in gst_base_parse_handle_and_push_frame (parse=parse@entry=0xb8ae400, frame=frame@entry=0x91b8f1a0, klass=0x9d15400) at gstbaseparse.c:1687
#45 0xb1d02ccc in gst_base_parse_loop (pad=0x90f99d88) at gstbaseparse.c:2826
#46 0xb1c85e10 in gst_task_func (task=task@entry=0x91240488) at gsttask.c:327
#47 0xb1c86fb8 in default_func (tdata=0x92db08b0, pool=0x9a14800) at gsttaskpool.c:70
#48 0xb4390ce8 in g_thread_pool_thread_proxy (data=0x9a14510) at /build/buildd/glib2.0-2.34.0/./glib/gthreadpool.c:309
#49 0xb4390303 in g_thread_proxy (data=0xbd7b6f0) at /build/buildd/glib2.0-2.34.0/./glib/gthread.c:797
#50 0xb4664d4c in start_thread (arg=0x91b8fb40) at pthread_create.c:308
#51 0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 2 (Thread 0x9362fb40 (LWP 17791)):
#0  0xb76e7424 in __kernel_vsyscall ()
#1  0xb55fb5f0 in __GI___poll (fds=0xc998d60, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0xb3fafb66 in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#3  0xb3f9de8a in pa_mainloop_poll () from /usr/lib/i386-linux-gnu/libpulse.so.0
#4  0xb3f9e6c9 in pa_mainloop_iterate () from /usr/lib/i386-linux-gnu/libpulse.so.0
#5  0xb3f9e7a4 in pa_mainloop_run () from /usr/lib/i386-linux-gnu/libpulse.so.0
#6  0xb3fafaee in ?? () from /usr/lib/i386-linux-gnu/libpulse.so.0
#7  0xb1e9e79a in ?? () from /usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-2.1.so
#8  0xb4664d4c in start_thread (arg=0x9362fb40) at pthread_create.c:308
#9  0xb5609d3e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 1 (Thread 0xb133b740 (LWP 2293)):
[KCrash Handler]
#7  0xb420f1f1 in g_value_set_object (value=value@entry=0xbfb0706c, v_object=0xb420508e <g_closure_unref+14>) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:3578
#8  0xa5e6c031 in gst_play_bin_get_property (object=0x9d0ec08, prop_id=3, value=0xbfb0706c, pspec=0x9ca1c00) at gstplaybin2.c:2018
#9  0xb420d0fb in object_get_property (value=0xbfb0706c, pspec=<optimized out>, object=0x9d0ec08) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1294
#10 g_object_get_valist (object=object@entry=0x9d0ec08, first_property_name=first_property_name@entry=0xaea34eec "source", var_args=var_args@entry=0xbfb07108 "<q\260\277") at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:2019
#11 0xb420d468 in g_object_get (_object=0x9d0ec08, first_property_name=0xaea34eec "source") at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:2109
#12 0xaea23b62 in Phonon::Gstreamer::Pipeline::cb_setupSource (playbin=playbin@entry=0x9d0ec08, param=0x9ca1c00, data=0x9d09588) at ../../gstreamer/pipeline.cpp:828
#13 0xb420846a in g_cclosure_marshal_VOID__PARAM (closure=closure@entry=0x9d0faa8, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfb07340, invocation_hint=invocation_hint@entry=0xbfb072ec, marshal_data=marshal_data@entry=0x0) at /build/buildd/glib2.0-2.34.0/./gobject/gmarshal.c:1042
#14 0xb4205826 in g_closure_invoke (closure=0x9d0faa8, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0xbfb07340, invocation_hint=invocation_hint@entry=0xbfb072ec) at /build/buildd/glib2.0-2.34.0/./gobject/gclosure.c:777
#15 0xb421761f in signal_emit_unlocked_R (node=node@entry=0x9a0f080, detail=detail@entry=2180, instance=instance@entry=0x9d0ec08, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0xbfb07340) at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3551
#16 0xb421f732 in g_signal_emit_valist (instance=instance@entry=0x9d0ec08, signal_id=signal_id@entry=1, detail=detail@entry=2180, var_args=0xbfb07540 "\b\354\320\txxa\265", var_args@entry=0xbfb0753c "") at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3300
#17 0xb421f8b3 in g_signal_emit (instance=instance@entry=0x9d0ec08, signal_id=1, detail=2180) at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3356
#18 0xb4209e4f in g_object_dispatch_properties_changed (object=0x9d0ec08, n_pspecs=1, pspecs=0xbfb075ec) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1041
#19 0xb1c20da2 in gst_object_dispatch_properties_changed (object=0x9d0ec08, n_pspecs=1, pspecs=0xbfb075ec) at gstobject.c:530
#20 0xb420b9c0 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0x9d0ec08) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1135
#21 g_object_notify (object=object@entry=0x9d0ec08, property_name=property_name@entry=0xa5e950a9 "source") at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1177
#22 0xa5e68003 in notify_source_cb (uridecodebin=uridecodebin@entry=0xb5376b0, pspec=0x9892b18, group=0x9d0ed0c) at gstplaybin2.c:3445
#23 0xb420846a in g_cclosure_marshal_VOID__PARAM (closure=closure@entry=0xa1c41b58, return_value=return_value@entry=0x0, n_param_values=n_param_values@entry=2, param_values=param_values@entry=0xbfb077d0, invocation_hint=invocation_hint@entry=0xbfb0777c, marshal_data=marshal_data@entry=0x0) at /build/buildd/glib2.0-2.34.0/./gobject/gmarshal.c:1042
#24 0xb4205826 in g_closure_invoke (closure=0xa1c41b58, return_value=return_value@entry=0x0, n_param_values=2, param_values=param_values@entry=0xbfb077d0, invocation_hint=invocation_hint@entry=0xbfb0777c) at /build/buildd/glib2.0-2.34.0/./gobject/gclosure.c:777
#25 0xb421761f in signal_emit_unlocked_R (node=node@entry=0x9a0f080, detail=detail@entry=2180, instance=instance@entry=0xb5376b0, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0xbfb077d0) at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3551
#26 0xb421f732 in g_signal_emit_valist (instance=instance@entry=0xb5376b0, signal_id=signal_id@entry=1, detail=detail@entry=2180, var_args=0xbfb079d0 "\260vS\vxxa\265", var_args@entry=0xbfb079cc "\030+\211\t\260vS\vxxa\265") at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3300
#27 0xb421f8b3 in g_signal_emit (instance=instance@entry=0xb5376b0, signal_id=1, detail=2180) at /build/buildd/glib2.0-2.34.0/./gobject/gsignal.c:3356
#28 0xb4209e4f in g_object_dispatch_properties_changed (object=0xb5376b0, n_pspecs=1, pspecs=0xbfb07a7c) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1041
#29 0xb1c20da2 in gst_object_dispatch_properties_changed (object=0xb5376b0, n_pspecs=1, pspecs=0xbfb07a7c) at gstobject.c:530
#30 0xb420b9c0 in g_object_notify_by_spec_internal (pspec=<optimized out>, object=0xb5376b0) at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1135
#31 g_object_notify (object=object@entry=0xb5376b0, property_name=property_name@entry=0xa023ad3e "source") at /build/buildd/glib2.0-2.34.0/./gobject/gobject.c:1177
#32 0xa0236426 in setup_source (decoder=0xb5376b0) at gsturidecodebin.c:2015
#33 gst_uri_decode_bin_change_state (element=0xb5376b0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gsturidecodebin.c:2493
#34 0xb1c3e42b in gst_element_change_state (element=element@entry=0xb5376b0, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#35 0xb1c3ee57 in gst_element_set_state_func (element=0xb5376b0, state=GST_STATE_PAUSED) at gstelement.c:2717
#36 0xb1c3e16f in gst_element_set_state (element=element@entry=0xb5376b0, state=state@entry=GST_STATE_PAUSED) at gstelement.c:2618
#37 0xb1c298ab in gst_bin_element_set_state (next=GST_STATE_PAUSED, current=GST_STATE_READY, start_time=0, base_time=0, element=0xb5376b0, bin=0x9d0ec08) at gstbin.c:2209
#38 gst_bin_change_state_func (element=0x9d0ec08, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstbin.c:2518
#39 0xb1c600c2 in gst_pipeline_change_state (element=0x9d0ec08, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstpipeline.c:482
#40 0xa5e6a429 in gst_play_bin_change_state (element=0x9d0ec08, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstplaybin2.c:3936
#41 0xb1c3e42b in gst_element_change_state (element=element@entry=0x9d0ec08, transition=GST_STATE_CHANGE_READY_TO_PAUSED) at gstelement.c:2761
#42 0xb1c3ee57 in gst_element_set_state_func (element=0x9d0ec08, state=GST_STATE_PLAYING) at gstelement.c:2717
#43 0xb1c3e16f in gst_element_set_state (element=0x9d0ec08, state=GST_STATE_PLAYING) at gstelement.c:2618
#44 0xaea23326 in Phonon::Gstreamer::Pipeline::setState (this=0x9d09588, state=GST_STATE_PLAYING) at ../../gstreamer/pipeline.cpp:242
#45 0xaea1a84e in Phonon::Gstreamer::MediaObject::requestState (this=this@entry=0x9d06e38, state=state@entry=Phonon::PlayingState) at ../../gstreamer/mediaobject.cpp:839
#46 0xaea1ac40 in Phonon::Gstreamer::MediaObject::play (this=0x9d06e38) at ../../gstreamer/mediaobject.cpp:239
#47 0xb4c5f70e in Phonon::MediaObject::play (this=0x992df58) at ../../phonon/mediaobject.cpp:113
#48 0xb6e9fb41 in EngineController::playUrl (this=0x992de98, url=..., offset=0) at ../../src/EngineController.cpp:505
#49 0xb6ea1696 in EngineController::play (this=0x992de98, track=..., offset=3022016654) at ../../src/EngineController.cpp:395
#50 0xb6b12426 in Playlist::Actions::play (this=0x9ee9708, trackid=8964272393131392194, now=true) at ../../src/playlist/PlaylistActions.cpp:224
#51 0xb6b13db4 in Playlist::Actions::play (this=0x9ee9708) at ../../src/playlist/PlaylistActions.cpp:191
#52 0xb6ea1905 in EngineController::play (this=0x992de98) at ../../src/EngineController.cpp:350
#53 0xb6ea1b4c in EngineController::playPause (this=0x992de98) at ../../src/EngineController.cpp:608
#54 0xb6ea79fb in EngineController::qt_static_metacall (_o=0x992de98, _c=QMetaObject::InvokeMetaMethod, _id=26, _a=0xbfb08478) at ./EngineController.moc:176
#55 0xb595fed6 in QMetaObject::activate (sender=0x9896218, m=0xb7206a80 <PlayPauseButton::staticMetaObject>, local_signal_index=0, argv=0xbfb08478) at kernel/qobject.cpp:3547
#56 0xb6fddf4d in PlayPauseButton::toggled (this=this@entry=0x9896218, _t1=true) at ./PlayPauseButton.moc:103
#57 0xb6fddf7d in PlayPauseButton::toggle (this=0x9896218) at ../../src/widgets/PlayPauseButton.cpp:52
#58 0xb595fed6 in QMetaObject::activate (sender=0x9896218, m=0xb7206080 <IconButton::staticMetaObject>, local_signal_index=0, argv=0x0) at kernel/qobject.cpp:3547
#59 0xb6fd6295 in IconButton::clicked (this=this@entry=0x9896218) at ./IconButton.moc:102
#60 0xb6fd6402 in IconButton::mouseReleaseEvent (this=0x9896218, me=0xbfb08bb4) at ../../src/widgets/IconButton.cpp:69
#61 0xb5f0d6df in QWidget::event (this=0x9896218, event=0xbfb08bb4) at kernel/qwidget.cpp:8371
#62 0xb5eb439c in QApplicationPrivate::notify_helper (this=0x9892580, receiver=0x9896218, e=0xbfb08bb4) at kernel/qapplication.cpp:4562
#63 0xb5eb9892 in QApplication::notify (this=0x9892580, receiver=0x9896218, e=0xbfb08bb4) at kernel/qapplication.cpp:4105
#64 0xb7472e91 in KApplication::notify (this=0xbfb09c2c, receiver=0x9896218, event=0xbfb08bb4) at ../../kdeui/kernel/kapplication.cpp:311
#65 0xb594778e in QCoreApplication::notifyInternal (this=0xbfb09c2c, receiver=0x9896218, event=0xbfb08bb4) at kernel/qcoreapplication.cpp:915
#66 0xb5eb5206 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#67 QApplicationPrivate::sendMouseEvent (receiver=0x9896218, event=0xbfb08bb4, alienWidget=0x9896218, nativeWidget=0xa3c1490, buttonDown=0xb6845d14 <qt_button_down>, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3173
#68 0xb5f40a75 in QETWidget::translateMouseEvent (this=0xa3c1490, event=0xbfb08fdc) at kernel/qapplication_x11.cpp:4622
#69 0xb5f3f705 in QApplication::x11ProcessEvent (this=0xbfb09c2c, event=0xbfb08fdc) at kernel/qapplication_x11.cpp:3737
#70 0xb5f6adc4 in x11EventSourceDispatch (s=s@entry=0x9894500, callback=0x0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#71 0xb436a9e3 in g_main_dispatch (context=0x9893558) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:2715
#72 g_main_context_dispatch (context=context@entry=0x9893558) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3219
#73 0xb436ad80 in g_main_context_iterate (context=context@entry=0x9893558, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3290
#74 0xb436ae61 in g_main_context_iteration (context=0x9893558, may_block=1) at /build/buildd/glib2.0-2.34.0/./glib/gmain.c:3351
#75 0xb5979981 in QEventDispatcherGlib::processEvents (this=0x9791eb8, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#76 0xb5f6a9aa in QGuiEventDispatcherGlib::processEvents (this=0x9791eb8, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#77 0xb594626c in QEventLoop::processEvents (this=this@entry=0xbfb092d8, flags=...) at kernel/qeventloop.cpp:149
#78 0xb5946561 in QEventLoop::exec (this=0xbfb092d8, flags=...) at kernel/qeventloop.cpp:204
#79 0xb594bcba in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1187
#80 0xb5eb1fc4 in QApplication::exec () at kernel/qapplication.cpp:3823
#81 0x0804feaf in main (argc=1, argv=0xbfb09d14) at ../../src/main.cpp:306

Possible duplicates by query: bug 308637, bug 308261, bug 306702, bug 306300, bug 305928.

Reported using DrKonqi
Comment 1 christoph 2012-10-27 08:40:40 UTC
*** Bug 309074 has been marked as a duplicate of this bug. ***
Comment 2 Myriam Schweingruber 2012-10-30 10:30:15 UTC
The problem is caused by the phonon-backend-gstreamer

*** This bug has been marked as a duplicate of bug 290706 ***